org.h2.result

## Interface Row

All Superinterfaces:
  SearchRow

All Known Implementing Classes:
  RowImpl

    public interface Row
    extends SearchRow

Represents a row in a table.

### Field Summary

Fields
`static Row[]` `EMPTY_ARRAY`
`static int` `MEMORY_CALCULATE`

### Method Summary

Methods
`void` `commit()` This record has been committed.
`int` `getByteCount(Data dummy)` Get the number of bytes required for the data.
`Row` `getCopy()` Get a copy of the row that is distinct from (not equal to) this row.
`int` `getSessionId()` Get session id.
`Value[]` `getValueList()` Get values.
`boolean` `isDeleted()` Check if the row is deleted.
`boolean` `isEmpty()` Check if this is an empty row.
`void` `setDeleted(boolean deleted)` Mark the row as deleted.
`void` `setSessionId(int sessionId)` Set session id.
`void` `setVersion(int version)` Set version.

### Methods inherited from interface org.h2.result.SearchRow

`getColumnCount, getKey, getMemory, getValue, getVersion, setKey, setKeyAndVersion, setValue`

### Field Detail

#### MEMORY_CALCULATE

    static final int MEMORY_CALCULATE

See Also:
  Constant Field Values

#### EMPTY_ARRAY

    static final Row[] EMPTY_ARRAY

### Method Detail

#### getCopy

    Row getCopy()

Get a copy of the row that is distinct from (not equal to) this row. This is used for FOR UPDATE to allow pseudo-updating a row.

Returns:
  a new row with the same data

#### setVersion

    void setVersion(int version)

Set version.

Parameters:
  `version` - row version

#### getByteCount

    int getByteCount(Data dummy)

Get the number of bytes required for the data.

Parameters:
  `dummy` - the template buffer
Returns:
  the number of bytes

#### isEmpty

    boolean isEmpty()

Check if this is an empty row.

Returns:
  `true` if the row is empty

#### setDeleted

    void setDeleted(boolean deleted)

Mark the row as deleted.

Parameters:
  `deleted` - deleted flag

#### setSessionId

    void setSessionId(int sessionId)

Set session id.

Parameters:
  `sessionId` - the session id

#### getSessionId

    int getSessionId()

Get session id.

Returns:
  the session id

#### commit

    void commit()

This record has been committed. The session id is reset.

#### isDeleted

    boolean isDeleted()

Check if the row is deleted.

Returns:
  `true` if the row is deleted

#### getValueList

    Value[] getValueList()

Get values.

Returns:
  values